Subject: Re: [PATCH] e1000: fix concurrent accesses to PHY from watchdog and ethtool

From: Florian Fainelli <[email-masked]>
Date: Mon, 22 Oct 2012 10:28:26 +0200

On Friday 19 October 2012 23:47:34 Jeff Kirsher wrote:
> On Fri, 2012-10-19 at 14:44 +0200, Florian Fainelli wrote:
> > From: Maxime Bizon <[email-masked]>
> > 
> > The e1000 driver currently does not protect concurrent accesses to the
> > PHY
> > from both the ethtool callbacks, and from the e1000_watchdog function.
> > This
> > patchs adds a new spinlock which is used by e1000_{read,write}_phy_reg
> > in
> > order to serialize concurrent accesses to the PHY.
> > 
> > Signed-off-by: Maxime Bizon <[email-masked]>
> > Signed-off-by: Florian Fainelli <[email-masked]>
> > ---
> >  drivers/net/ethernet/intel/e1000/e1000_hw.c |   17 +++++++++++++++--
> >  1 file changed, 15 insertions(+), 2 deletions(-) 
> 
> It does not appear I have responded yet, so...
> 
> I have added this patch to my queue, thanks!

Thanks Jeff, I will let you decide whether you think this is relevant for being
included into -stable releases.
--
Florian